unit Model1Service;

interface

uses
  Aurelius.Mapping.Attributes,
  XData.Server.Module,
  XData.Service.Common;

type
  [ServiceContract]
  [Model('Model1')]
  IModel1Service = interface(IInvokable)
    ['{10F1DC58-CA0B-4A5C-B61F-F1255CE46A70}']
    [HttpGet] function Value: string;
  end;

  [ServiceImplementation]
  TModel1Service = class(TInterfacedObject, IModel1Service)
    function Value: string;
  end;

implementation


{ TModel1Service }

function TModel1Service.Value: string;
begin
  Result := 'Model1';
end;

initialization
//  RegisterServiceType(TypeInfo(IModel1Service));
//  RegisterServiceType(TModel1Service);

end.
